# Created by pyp2rpm-3.2.1
%global srcname jieba

%global desc \
A Python simplified Chinese and traditional Chinese Words \
Segementation module supporting customized dictionaries \
can be used for either text analysis or search engines.

%global desczh \
支持自定义辞典的简/繁体Python中文分词组件，可用于文本分析和搜索引擎。


Name:           python-%{srcname}
Version:        0.39
Release:        1%{?dist}
%global common_summary \
Summary:        Python Chinese word segmentation module \
Summary(zh-CN): Python 中文分词组件
%{common_summary}

License:        MIT
URL:            https://github.com/fxsjy/%{srcname}
Source0:        https://github.com/fxsjy/%{srcname}/archive/v%{version}.tar.gz
BuildArch:      noarch
 
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-whoosh
#Whoosh imported in file jieba/analyse/analyzer.py

%description %{desc}
%description -l zh_CN %{desczh}

%package -n     python3-%{srcname}
%{common_summary}
Requires: python3-whoosh

%description -n python3-%{srcname} %{desc}
%description -n python3-%{srcname} -l zh_CN %{desczh}



%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build

%install

%py3_install

%check #Tests did'n run properly using Python2, because of encoding issues.
export PYTHONPATH=$(PYTHONPATH):$RPM_BUILD_ROOT%{python3_sitelib}
cd test
for f in extract_tags_idfpath.py  extract_tags.py  extract_tags_stop_words.py  extract_tags_with_weight.py  test_file.py  test_pos_file.py  test_whoosh_file.py  test_whoosh_file_read.py; do python3 $f foobar.txt; done
for f in demo.py  jieba_test.py  test_bug.py  test_change_dictpath.py  test_cutall.py  test_cut_for_search.py  test_lock.py  test_multithread.py  test_no_hmm.py  test_pos_no_hmm.py  test_pos.py  test.py  test_tokenize_no_hmm.py  test_tokenize.py   test_userdict.py  test_whoosh.py; do python3 $f; done
cd parallel
for f in test2.py  test_cut_for_search.py  test_disable_hmm.py  test_pos.py  test.py; do python3 $f; done
for f in extract_tags.py  test_file.py  test_pos_file.py; do python3 $f ../foobar.txt; done
# Test not run: extract_topic.py require extra dependency python-scikit-learn


%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info


%changelog
* Fri Sep 29 2017 yecheng <18969068329@163.com> - 0.39-1
- Build for new release.
- Disable Python2 build as tests failed due to encoding issues.
* Sat Aug 05 2017 yecheng <18969068329@163.com> - 0.38-1
- Initial package.
